## openmediaplayer 20120713-1

=== Makefile ===
#############################################################################
# Makefile for building: openmediaplayer
# Generated by qmake (2.01a) (Qt 4.7.0) on: Sat Jun 23 18:11:12 2012
# Project:  openmediaplayer.pro
# Template: subdirs
# Command: /usr/bin/qmake -o Makefile openmediaplayer.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-src

src/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/gidzzz/omp/openmediaplayer-20120617-next/src/src.pro -o $(MAKEFILE)
sub-src-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/gidzzz/omp/openmediaplayer-20120617-next/src/src.pro -o $(MAKEFILE)
sub-src: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE)
sub-src-make_default: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_first: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-all: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-clean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-distclean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-install_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-uninstall_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: openmediaplayer.pro  /targets/ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -o Makefile openmediaplayer.pro
/targets/ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -o Makefile openmediaplayer.pro

qmake_all: sub-src-qmake_all FORCE

make_default: sub-src-make_default FORCE
make_first: sub-src-make_first FORCE
all: sub-src-all FORCE
clean: sub-src-clean FORCE
distclean: sub-src-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-src-install_subtargets FORCE
uninstall_subtargets: sub-src-uninstall_subtargets FORCE

sub-src-check: src/$(MAKEFILE)
	cd src/ && $(MAKE) check
check: sub-src-check

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

## openmediaplayer 20111102-1

=== debian/changelog ===
openmediaplayer (20111102-1) unstable; urgency=low

  * Single click to select a song.
  * More translation-related cleanups.
  * Finnish translation by megaexer.
  * 90% complete Spanish translation by CepiPerez.
  * Updated the Polish translation.

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Wed, 02 Nov 2011 15:05:24 +0100

openmediaplayer (20111031-1) unstable; urgency=low

  * Cleaned up the code for translations. Added a Polish translation.
  * Support for UPnP. It still requires some work and it's not well tested, so bug reports are especially welcome.
  * Categories view for videos.
  * Reworked list drawng. It might be somewhat faster and certain themes don't suffer from ugly backgrounds.
  * Fixed missing context menu entries in "All songs" view.
  * Tweaked the playlist saving dialog.
  * Fixed a segfault and some minor bugs here and there.

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Mon, 31 Oct 2011 15:09:25 +0100

openmediaplayer (20111022-1) unstable; urgency=low

  * Initial packaging.

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Sat, 22 Oct 2011 15:54:28 +0200

=== debian/control ===
Source: openmediaplayer
Section: user/multimedia
Priority: extra
Maintainer: Grzegorz Gidel <grg.gdl@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev, libdbus-1-dev, libmafw0-dev, libmafw-shared0-dev, libglib2.0-dev, libgq-gconf-dev, libosso-gnomevfs2-dev, libgtk2.0-dev, libhildon-thumbnail-dev
Standards-Version: 3.8.4
Homepage: http://gitorious.org/qt-mediaplayer

Package: openmediaplayer
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Potential replacement for the stock media player.
XSBC-Maemo-Display-Name: Open Media Player
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAMAAABg3Am1AAAAAXNSR0IArs4c
 6QAAAv1QTFRFfgABTwECVgAAYAABWgIAYgAAaAAAbAAAbQEFcwAAdwAAdgAE
 gAADggAAggEFhwAHiQAChAMAYgwOjQEAlAABjQENmAAAmAEEngAAoAABngAI
 oQAChggQowEEqQAAqAAGhwoKrQABpAMArAAJowISaBQYYhYWpQQFrwIAtgAA
 uAAAgA8TtwAHmwgOuQAJsAQDwAADwgAAwgAFwwAGehQXuwMBwQAOehQcxQAH
 ugMKlA4S0AAAzAAMzwAExwQJhRYc2gAB2AAKoBEYjxYc5AAA5QAJ3gMFmBYg
 6QEC6QANkRkj7wAGoRUfmxgc8wAJ8gATmxojgSUoay0xmCEnbi8ujCcphiks
 jCgvuxsnmyUq7A4g7hEariQoiy41jC8xhjg86B4mhDw9dUNGgUFEf0REnT5D
 qjs9c01Qk0lKmEhLpkZKdVVWkU9RiVVXelpbe2FggGBhqFZYiWJloFxej2Jn
 hmVmk2NjjmVjnWFloGJiql9jpmFjoWVpjGtsk2tulmxqpGhsi3Bvs2driXVy
 lHJziHZ4qm1xmnJ1nHR3nnRykXh8h3x8mnh5lXp5rXZ4s3V5kn+BqHl+pHt+
 n31+moCEnIB/ioWEhYeEkYWFpYKDsoCArIOGiI2QjY+MhpKTpoqJn4yOiJWV
 g5eWtIqNlZeUppOWoZWWr5OSpJiZr5WZq5eavZOWopybmp+ir5yetZufoKKf
 nqKlxJqdmqano6Win6usqKqnrqmozKGkvaektampw6alyaWmqK6wra+sprKz
 wq+xqba3uLOys7Wysba4zrGvtri1vLe1tbq9xrm6zLi7s7/Awby6ub7BtsPE
 0Ly/wMK/v8TGxcfD1sLEwsjKzcjH28fKws/Qy87Kyc7R2MvLz9HO19HQ0dPQ
 0NXY2tXTzNna1tjV3djW1tvd2tzZzOHg493c3d/c3OHk5+Lg2ebn4efp5efk
 7ujn4O3u6evo7+ro4e7v6+7q6e/x9O7t5/T19/Hw7/X39Pbz/fj28v////z6
 /P77+f///v/8x3X8QgAAAAF0Uk5TAEDm2GYAAAOUSURBVEjHY2AY2YCJmYOb
 ByvgF8CmnpmTX1xaWh0DyKrLSktJYShnZOaRUtbRs8QKdHT0lZXRzRdQ1rE0
 xgUMTLV00NTzKOsZEwAo/uWU0iGg3MbWFtkCfmVLAhrsHB2RNHCIE7IAqMEN
 SQO3tB5hDa5IGnhkLQlqcPAgTYOxoyeSBi5hMTFpRS1wkCtKS0hIKwHZWkog
 lpwWRERawxA5lDL7ZhXbCygZGBtrpDVUVFRWqWgZSBfWVFTUZCkqgkQqKqur
 SuDqJ8y89e/f338H7MXMjCV2/AOBVCUthb8gxmVpMbDI37///v7cAFG//V8P
 az9I9lOotLHYJrCGBgmlTDDjlLgIRAQM5oLUT//3byavSORlIP+ZqAZUw3kR
 4dVA6idMw62wqi9A6jZIw/N//yYLaimKNAFF2sRAGl5++PeXj+vav0dv4TYc
 5RLJBGp/AlQ/9/23vz2CWsZa0u57/j0TF1n968f9Ff++B5o/+rfs5L8/B8TF
 gSJ/d7NwTvz75ccNoIZtn15+bxEEBammeOEtXZHFXz9dTf/+uSzl89/SdT8+
 7xQXX/z1zfs76w+8efPm0z6ghi3P77+uFQSlJTMl7gwfkdmvXpwMevF6Wf73
 10nLX79YJy42+9XDh88/vnv+5PklkBeW3L76uBSkQUtMe+ZNXfFJD+6eVN31
 8Pj2x2eElj++t1RcbNKDGzcuXbx44fgWSKgeu3CjQEDLQE4wcfvTpdJiHdev
 HGJrv37h0vV1LCuvX1kgLtZ5/cLNpdoxEcHQaFty7GyeoKKISe+5s6fj5KTr
 T5/Yzplz7vDh0+3s80+fmCIuVn/68LnJItYu8IhecySbmyd548G9B+ukTaXL
 9+9dwxu4Ye+2vfE8Uw/u7RKXKN+/7WCPtCNSal2brta6devmzXXiWsbSRVs3
 LxEQmLF141oZgd6tm1vFgSIbt7agaGAIaZ47rbsxVhoYuHK5C+dMAypaOK9V
 Wrp24cJSWZDIoiJFFA2cAs5eVtIawMRqrOUUHhqsr+UUGu6roxUQHhqgAxIJ
 9zVAyQ880lpaBgaQIshAC8SGkEDCFMI2NXZA0aBMRBZF0aBOWIObN0qeJlhq
 2Lr6I2kQkNYxIFQGeEcja5AipMHG1T8KuXCV0jcl4AO/aNTiWxmvBhsHdPUM
 yjrGNnY4gK2jq190AkYdZGzr6OjogAW4uXr7R2Or5Gwd3Vw9sQCg8qgR3l4A
 AJ5z/uCecQYtAAAAAElFTkSuQmCC

## openmediaplayer 20111105-1

=== debian/changelog ===
openmediaplayer (20111105-1) unstable; urgency=low

  * Translation fixes for the FM transmitter dialog.
  * New translations: Swedish (by robin92), French (by GaRy delaMEr) and German (by sbock).
  * Some updates to the existing translations.
  * Show correct song/movie length when streaming from UPnP.
  * Click song/movie position label to toggle between elapsed and remaining.

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Sat, 05 Nov 2011 17:56:10 +0100

## openmediaplayer 20111112-1

=== debian/changelog ===
openmediaplayer (20111112-1) unstable; urgency=low

  * Updated translation: French (thanks to mirandir).
  * New translation: Dutch (thanks to ade).

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Sat, 12 Nov 2011 01:49:31 +0100

openmediaplayer (20111111-1) unstable; urgency=low

  * Fixed crashes on mime_open (opening files from a file browser should work now).
  * Fixed some untranslatable strings.
  * Updated translations: Spanish (thanks to Zentenario), French (thanks to mirandir).
  * New translation: Romanian by ioncelmare.
  * Restoring default album art supports embedded images.

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Fri, 11 Nov 2011 17:44:42 +0100

## openmediaplayer 20111113-1

=== debian/changelog ===
openmediaplayer (20111113-1) unstable; urgency=low

  * Updated translations: Swedish (thanks to robin92), German (thanks to sbock).
  * Fixed a bug with the video window not being closed after the playback is finshed.

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Sat, 12 Nov 2011 22:41:28 +0100

## openmediaplayer 20111116-1

=== debian/changelog ===
openmediaplayer (20111116-1) unstable; urgency=low

  * Added an option to open all songs from a folder.
  * Stopping the playback on exit is now the default behavior.
  * New translations: Russian by wow23, Czech by Linnar.
  * When changing song/radio, info is updated even in the stopped state.
  * The radio window displays better info and looks more like the stock one.
  * Added an option to edit radio bookmarks.

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Wed, 16 Nov 2011 01:51:40 +0100

## openmediaplayer 20111118-1

=== debian/changelog ===
openmediaplayer (20111118-1) unstable; urgency=low

  * Updated translations:
    - Polish (Estel),
    - French (mirandir),
    - German (sbock),
    - Dutch (ade),
    - Czech (Linnar),
    - Swedish (robin92),
    - Finnish (megaexer).
  * New translations:
    - Chinese by bccwvfwcw,
    - Italian by Lestat.

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Fri, 18 Nov 2011 15:35:41 +0100

=== debian/rules ===
#!/usr/bin/make -f
APPNAME := openmediaplayer
builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && qmake-qt4 PREFIX=/usr ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir
	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	rm -rf builddir
	dh_clean
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/your_appname
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip #--dbg-package=openmediaplayer-dbg
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## openmediaplayer 20111120-1

=== debian/changelog ===
openmediaplayer (20111120-1) unstable; urgency=low

  * Fix continuous 100% CPU usage when creating a thumbnail in certain cases.
  * Don't clear the list of videos when refreshing it.
  * Support for opening HTTP video streams.
  * More meaningful window titles for the UPnP browser.

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Sun, 20 Nov 2011 02:21:46 +0100

## openmediaplayer 20111120-2

=== debian/changelog ===
openmediaplayer (20111120-2) unstable; urgency=low

  * Updated the Chinese translation (thanks to microjo).

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Sun, 20 Nov 2011 03:03:45 +0100

## openmediaplayer 20111126-1

=== debian/changelog ===
openmediaplayer (20111126-1) unstable; urgency=low

  * Suspend the playback when making or receiveing a call.
  * Fixed a bug that sometimes prevented the playback indicator from reappearing.
  * Hungarian translation by zdanee.
  * Update of the Romanian translation (thanks to mirciox).
  * Small updates to other translations.

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Sat, 26 Nov 2011 07:38:47 +0100

## openmediaplayer 20111204-1

=== debian/changelog ===
openmediaplayer (20111204-1) unstable; urgency=low

  * More reliable metadata fetching in NowPlayingWindow.
  * Fixed keyboard focus in the lyrics editor.
  * Modified playlist editing in the playlist browser to work in a similar manner to "Now playing".
  * Disabed the progress slider in "Now playing" for the stopped state.
  * Shuffle buttons are scrolled together with the song/artist list.
  * Fixed wrong song count being displayed in certain situations.
  * Fixed up/down shortcuts in some views.
  * Updated translations.

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Sun, 04 Dec 2011 06:51:03 +0100

## openmediaplayer 20111206-1

=== debian/changelog ===
openmediaplayer (20111206-1) unstable; urgency=low

  * Auto-connect when starting an Internet radio.
  * Ask for confirmation before deleting a radio bookmark.
  * Updated the Swedish translation (thanks to almehdi).
  * Fixed a case where an empty item was being added to the playlist.
  * Fixed copying new album art.
  * Possible fix for the "100% CPU / staying in the background" bug.

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Tue, 06 Dec 2011 00:10:17 +0100

## openmediaplayer 20111219-1

=== debian/changelog ===
openmediaplayer (20111219-1) unstable; urgency=low

  * QML views update current position in the playlist.
  * Added an option to append songs to the playlist when opening them from a file browser.
  * Fixed multiple windows appearing when opening a file from a file browser
  * Enlarged the settings dialog
  * Some UTF-8 fixes.
  * Updated the Swedish translation (thanks to FireyFly).
  * New translation: Turkish by MysD.

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Mon, 19 Dec 2011 14:10:24 +0100

## openmediaplayer 20111223-1

=== debian/changelog ===
openmediaplayer (20111223-1) unstable; urgency=low

  * Fixed songs being changed when toggling the time label mode.
  * Fixed (probably) a crash when opening the player through a desktop widget.
  * Updated translations.

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Fri, 23 Dec 2011 10:44:13 +0100

=== debian/control ===
--- 
+++ 
@@ -52,3 +52,11 @@
  2Lr6I2kQkNYxIFQGeEcja5AipMHG1T8KuXCV0jcl4AO/aNTiWxmvBhsHdPUM
  yjrGNnY4gK2jq190AkYdZGzr6OjogAW4uXr7R2Or5Gwd3Vw9sQCg8qgR3l4A
  AJ5z/uCecQYtAAAAAElFTkSuQmCC
+
+Package: openmediaplayer-dbg
+Architecture: armel
+Section: debug
+Priority: extra
+Depends:
+    openmediaplayer (= ${binary:Version}),
+Description: Debugging symbols for Open Media Player.

## openmediaplayer 20111226-1

=== debian/changelog ===
openmediaplayer (20111226-1) unstable; urgency=low

  * Finger-friendly size of current position labels.
  * Fixed the regression with selecting songs.
  * Updated translations.

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Mon, 26 Dec 2011 12:56:59 +0100

## openmediaplayer 20120115-1

=== debian/changelog ===
openmediaplayer (20120115-1) unstable; urgency=low

  * Working previous and next buttons in the video window.
  * Support for Bluetooth fast-forward and rewind (thanks to cybjit).
  * Video playback makes use of a playlist, which fixes some compatibility issues.
  * Updated translations.

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Sun, 15 Jan 2012 15:56:13 +0100

=== debian/control ===
--- 
+++ 
@@ -52,6 +52,11 @@
  2Lr6I2kQkNYxIFQGeEcja5AipMHG1T8KuXCV0jcl4AO/aNTiWxmvBhsHdPUM
  yjrGNnY4gK2jq190AkYdZGzr6OjogAW4uXr7R2Or5Gwd3Vw9sQCg8qgR3l4A
  AJ5z/uCecQYtAAAAAElFTkSuQmCC
+XB-Maemo-Upgrade-Description: Version 20120115 changes:
+ * Working previous and next buttons in the video window.
+ * Support for Bluetooth fast-forward and rewind (thanks to cybjit).
+ * Video playback makes use of a playlist, which fixes some compatibility issues.
+ * Updated translations.
 
 Package: openmediaplayer-dbg
 Architecture: armel

## openmediaplayer 20120201-1

=== debian/changelog ===
openmediaplayer (20120201-1) unstable; urgency=low

  * Enabled previous/next buttons for UPnP videos.
  * Added missing keyboard shortcuts to the playlist browser.
  * Fixed a bug with the progress slider sometimes being unnecessarliy disabled.
  * Fixed problems with UTF-8 in names of playlists and UPnP shares.
  * Fixed wrong song being selected when different kinds of files are present in one UPnP directory.
  * Shiny icon.

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Wed, 01 Feb 2012 18:04:41 +0100

=== debian/control ===
Source: openmediaplayer
Section: user/multimedia
Priority: extra
Maintainer: Grzegorz Gidel <grg.gdl@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev, libdbus-1-dev, libmafw0-dev, libmafw-shared0-dev, libglib2.0-dev, libgq-gconf-dev, libosso-gnomevfs2-dev, libgtk2.0-dev, libhildon-thumbnail-dev
Standards-Version: 3.8.4
Homepage: http://gitorious.org/qt-mediaplayer

Package: openmediaplayer
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Potential replacement for the stock media player.
XSBC-Maemo-Display-Name: Open Media Player
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAMAAABg3Am1AAAAAXNSR0IArs4c
 6QAAAv1QTFRFaQAAKwAANAEAPAEAQwAASQADTgABVAAFVwACXQAGYAABWgIA
 WgIEYwEAYgEEZwAGawACbgEAbQEEcwABZQQGdgADdAAKeAEAfgACfAAIbwQH
 RBASeAIFeAMOggEFgwIAigACjgIAlQACmAAAlgAOgwcOjgQOogADoAAJqwAA
 hwoKqwAITxsdmwcHaRUUgA8TuQAAmwgOcRQXwwAFkg0XwQAOZhoZwwAPQCUm
 xAAQehUcgxQbaBwfqgoQjRMVsQkUqAwWdhogxgQYjBYaZiEggBsbZiImvAoa
 vgsNvQsUoRMZdCAhmhcWmhccZScncSQmix0hYSkmqxQeYCkrZSgsyQ0UrRUZ
 TTAythMegiMnpRoilh8kwhQXnx4guRcawhUesRwizBQjkyUmxBgZiSgrdC4w
 xBkloyMolSctxhshvB4ovh8jriQo0BsgnykymCs1tiMsyB8ouSUoWEBAnC4y
 ljAwwSQswyUnfzg6mDM4xCczdT4/xSgu1iQqlDY8visxoDM7wC0tpDY6bUZF
 wi80wS85ujI3mzw8zy40uzU9fkdJk0RHwTg7zzQ7eU9OdVVWqkdNbFtdfl5f
 lF1gimBifmRje2dknmFgd2xsiWhpq2Bk7FBWiW5t3ldYlGxvpmhnrmhqpmtu
 iHR0gXZ2kHV0qXJ0jHp8r3F1in5/n3l7l3x7qnh4iYSDloOF6W1yn4OCjY2K
 uYGDrIWEtYODmIyMpIuLjpOVkZOQtI6QjZmZnJeVl5mWo5eYq5WWu5iZs5uc
 pZ+eq56foaOgwJydoKWonKip/5CTs6enrqmnvqWjoa2uqqyoyKSlqq+xuq2u
 rrO1sbOwya+trLm5xrK0rrq7vLe1ubu4xLi4uL2/z7m2xb++vcLFxMHF0L7A
 uMXFw8XBzcfGzMrO1cjIx8zPyszJ2s3O0NLP/8XHzdPV1NHW3NfW0N3e19zf
 2t3Z6dzc3+He5uHf4OXo5efk6+3p5+7w8u3r8PLu8Pb4+fTy6/j59vj1+vz5
 //37+f///f/8yYjkHgAAAAF0Uk5TAEDm2GYAAAABYktHRACIBR1IAAAACXBI
 WXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH3AEeCzgkA0fIIwAABIdJREFUSMdj
 YBjZ4Njs3FBjGDCHACcnp+TkGE9NbOrXORmbepjDgId5TExycnJ8fGZmYWFh
 mj2G8udzDYzNkQHY7HiQBpCOjjB5NA1zDcxR1YPMT4YqL6+p6QhCcw+a+hio
 +WkQ5TU1Vb0mKP5NxFQfDwJA5WUg5S0trW0CSBpmo6kHehhkfFpaOUg9UHlL
 T6u9BJKGWiTVHkDlMfFg9dllQNBYX9/S2lOkramApCEXHp4enp5Q5dnZIPVV
 9fX1rW09EZramkpIGkIhGjyAyoEaYOqzysqAyuvbOtvsNbW1tdE1eHhA1Lu7
 Q1RnZYENb2vrzNFWBwJtFSQN5prqyuqaIOWecfYauoaGDglZRQVePr6+vumd
 QUoK8kCgIIykQX3C8o2znBW03d3jbCcsX7hw+YL0hALfBUuXLl09y1Cxff50
 MJgBV79j49N/QHDRWikiQvEMiPmv2yvH6i+IcVdC9OQ/KPh9GqL+6r/VvEtB
 st9SdLMUDoNk/q22850MVnRXXPAwVP2ff/92g9Rv//1vs4J85COg0Dt9BwWI
 9F1rGYjOm6IC+4CMR8FTvgKpZyAN7//926xkryy+ECiyWk0OqO4DkOUo8vTf
 q8///l0WBmu4zMLR9+/Hv/cgCz5//bdJ0T7CQT7y4r8P+pL7/v56deDfr+rU
 D//2PPj397KgwN6/3/4dZ2RZ9e/zL5ANFz5/+LlSISwsLEFFdvKrFNEdPz8/
 mPj3y8zmz/9mnPj1/aQg79bvnz6/PHj986dP3y4ANZx+/+rLSrWwoKCgHBO+
 yXUymz6+vxX+8dOuGd8/FR/48nG/AO/6j29fvf3y5f3bD/dBXtj97MHreWpB
 QVFRqt5bX0fKrn/94qrOuTe3Try5JX3wzYu9Aryr3jx58vD24ztXD0FC9dqt
 F/O0vKJMZLuuvt7rqr/y8f2rLKte3L//4jjjgRePtwrwLXl8//EuaX8XC2i0
 7b56b4pqrKr/2ns37nUFWC+5ceMES9+9CxduL2HadfvGWl6+OTcu3F7BKorI
 QAeuTBGT6jpy5fSlJVZ5rnPOnz3A5nbk7Omz1Sxbzp9dxss19fzp88s45EQR
 SenoJLcVpw4dObrIMaPJetKpI7u5ubecOnKUh23NqSOL+bimnjp0ajGHDHLi
 q1izfcOaxdVWGU3Rwv07t63h5Zu2cxtQ6eKd26bx8vXv3LBzGreoEJIGNcfU
 VH+rgJKmaHkJIz8/F1FxPb8QM2Fhm8BAM0FBs+DgYBsBYeRCICojOimjpKHE
 Tl5OTlxYWFxCQlxQUFhUVFhAAEgJ8vLyCggJoWooKSlpSJIDAQk5CSAQF5cR
 BQNhMBAUQtUQm19SUukMVSshIy6KpBikFAz4kG0oraxUhSiWQVYsCFcNBFxI
 GmwrM+SAjkBxhRCSYhERPj4+diQN2s6i4hhOhqvmAwMuFuTCVUkYxRlCaIqB
 yvnYUItvOSF0ZyAp5uLk5EJTz6AgLoSkml9EBEkxJw8PJxszRh0kKgBXjWQ0
 DxBw8nCwYavkhAT4ECqhajk4gIiDjWWEtxcAXr8zgPoK3fAAAAAASUVORK5C
 YII=
XB-Maemo-Upgrade-Description: Less bugs, a few details, refreshed icon.
 Version 20120201 changes:
 * Enabled previous/next buttons for UPnP videos.
 * Added missing keyboard shortcuts to the playlist browser.
 * Fixed a bug with the progress slider sometimes being unnecessarliy disabled.
 * Fixed problems with UTF-8 in names of playlists and UPnP shares.
 * Fixed wrong song being selected when different kinds of files are present in one UPnP directory.
 * Shiny icon.

Package: openmediaplayer-dbg
Architecture: armel
Section: debug
Priority: extra
Depends:
    openmediaplayer (= ${binary:Version}),
Description: Debugging symbols for Open Media Player.

## openmediaplayer 20120311-1

=== debian/changelog ===
openmediaplayer (20120311-1) unstable; urgency=low

  * Adding songs from a song list to now playing respects search results.
  * Automatic and seamless refreshing of the radio list (probably also fixes the repeated stations bug).
  * Removed context menu entries for clearing and saving the playlist in "Now playing", because they're already in the titlebar menu and they're more global than contextual.
  * Added an option to permanently delete a song in "Now playing".
  * Added a possibility to close confirmation messages by touching the blurred background.
  * Lifted "http://" prefix restriction from radio bookamrks.
  * Larger song progress font in the car view.
  * Fixed clickable category names in the video browser.
  * Fixed album searching in the artist view.
  * Fixed searching being ignored if invoked before song listing is complete.
  * Searching speed improved a bit.

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Sun, 11 Mar 2012 00:04:38 +0100

=== debian/control ===
--- 
+++ 
@@ -59,14 +59,19 @@
  yvnYUItvOSF0ZyAp5uLk5EJTz6AgLoSkml9EBEkxJw8PJxszRh0kKgBXjWQ0
  DxBw8nCwYavkhAT4ECqhajk4gIiDjWWEtxcAXr8zgPoK3fAAAAAASUVORK5C
  YII=
-XB-Maemo-Upgrade-Description: Less bugs, a few details, refreshed icon.
- Version 20120201 changes:
- * Enabled previous/next buttons for UPnP videos.
- * Added missing keyboard shortcuts to the playlist browser.
- * Fixed a bug with the progress slider sometimes being unnecessarliy disabled.
- * Fixed problems with UTF-8 in names of playlists and UPnP shares.
- * Fixed wrong song being selected when different kinds of files are present in one UPnP directory.
- * Shiny icon.
+XB-Maemo-Upgrade-Description: Changes to the menus and searching, usual bugfixes.
+ Version 20120311 changes:
+ * Adding songs from a song list to now playing respects search results.
+ * Automatic and seamless refreshing of the radio list (probably also fixes the repeated stations bug).
+ * Removed context menu entries for clearing and saving the playlist in "Now playing", because they're already in the titlebar menu and they're more global than contextual.
+ * Added an option to permanently delete a song in "Now playing".
+ * Added a possibility to close confirmation messages by touching the blurred background.
+ * Lifted "http://" prefix restriction from radio bookamrks.
+ * Larger song progress font in the car view.
+ * Fixed clickable category names in the video browser.
+ * Fixed album searching in the artist view.
+ * Fixed searching being ignored if invoked before song listing is complete.
+ * Searching speed improved a bit.
 
 Package: openmediaplayer-dbg
 Architecture: armel

## openmediaplayer 20120311-2

=== debian/changelog ===
openmediaplayer (20120311-2) unstable; urgency=low

  * Fixed a crash when selecting a song in "All songs".

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Sun, 11 Mar 2012 11:01:06 +0100

=== debian/control ===
--- 
+++ 
@@ -59,19 +59,9 @@
  yvnYUItvOSF0ZyAp5uLk5EJTz6AgLoSkml9EBEkxJw8PJxszRh0kKgBXjWQ0
  DxBw8nCwYavkhAT4ECqhajk4gIiDjWWEtxcAXr8zgPoK3fAAAAAASUVORK5C
  YII=
-XB-Maemo-Upgrade-Description: Changes to the menus and searching, usual bugfixes.
- Version 20120311 changes:
- * Adding songs from a song list to now playing respects search results.
- * Automatic and seamless refreshing of the radio list (probably also fixes the repeated stations bug).
- * Removed context menu entries for clearing and saving the playlist in "Now playing", because they're already in the titlebar menu and they're more global than contextual.
- * Added an option to permanently delete a song in "Now playing".
- * Added a possibility to close confirmation messages by touching the blurred background.
- * Lifted "http://" prefix restriction from radio bookamrks.
- * Larger song progress font in the car view.
- * Fixed clickable category names in the video browser.
- * Fixed album searching in the artist view.
- * Fixed searching being ignored if invoked before song listing is complete.
- * Searching speed improved a bit.
+XB-Maemo-Upgrade-Description: Emergency crash fix.
+ Version 20120311-2 changes:
+ * Fixed a crash when selecting a song in "All songs".
 
 Package: openmediaplayer-dbg
 Architecture: armel

## openmediaplayer 20120321-1

=== debian/changelog ===
openmediaplayer (20120321-1) unstable; urgency=low

  * Searching without sliding out the keyboard: slide your finger up from the very bottom of the screen.
  * Support for Bluetooth headset "stop" button (thanks to pali).
  * Support for headset "phone" button with configurable action (thanks to pali).
  * Building the playlist from search results after a song is selected is now configurable.
  * Added searching and keyboard shortcuts to the radio list.
  * Disabled "Delete" in "Now playing".
  * Minor changes in the settings window: there's slightly more space and "Stop playback on exit" option is now handled by a checkbox.
  * Enabled the lost Turkish translation.

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Wed, 21 Mar 2012 16:52:59 +0100

=== debian/control ===
--- 
+++ 
@@ -59,9 +59,17 @@
  yvnYUItvOSF0ZyAp5uLk5EJTz6AgLoSkml9EBEkxJw8PJxszRh0kKgBXjWQ0
  DxBw8nCwYavkhAT4ECqhajk4gIiDjWWEtxcAXr8zgPoK3fAAAAAASUVORK5C
  YII=
-XB-Maemo-Upgrade-Description: Emergency crash fix.
- Version 20120311-2 changes:
+XB-Maemo-Upgrade-Description: Better headset support, searching without keyboard and more.
+ Version 20120321-1 changes:
  * Fixed a crash when selecting a song in "All songs".
+ * Searching without sliding out the keyboard: slide your finger up from the very bottom of the screen.
+ * Support for Bluetooth headset "stop" button (thanks to pali).
+ * Support for headset "phone" button with configurable action (thanks to pali).
+ * Building the playlist from search results after a song is selected is now configurable.
+ * Added searching and keyboard shortcuts to the radio list.
+ * Disabled "Delete" in "Now playing".
+ * Minor changes in the settings window: there's slightly more space and "Stop playback on exit" option is now handled by a checkbox.
+ * Enabled the lost Turkish translation.
 
 Package: openmediaplayer-dbg
 Architecture: armel

## openmediaplayer 20120326-1

=== debian/changelog ===
openmediaplayer (20120326-1) unstable; urgency=low

  * Smooth scrolling to the current song in "Now playing".
  * Updated translations: Finnish, Italian, German, Dutch.

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Mon, 26 Mar 2012 16:08:59 +0200

=== debian/control ===
--- 
+++ 
@@ -59,17 +59,10 @@
  yvnYUItvOSF0ZyAp5uLk5EJTz6AgLoSkml9EBEkxJw8PJxszRh0kKgBXjWQ0
  DxBw8nCwYavkhAT4ECqhajk4gIiDjWWEtxcAXr8zgPoK3fAAAAAASUVORK5C
  YII=
-XB-Maemo-Upgrade-Description: Better headset support, searching without keyboard and more.
- Version 20120321-1 changes:
- * Fixed a crash when selecting a song in "All songs".
- * Searching without sliding out the keyboard: slide your finger up from the very bottom of the screen.
- * Support for Bluetooth headset "stop" button (thanks to pali).
- * Support for headset "phone" button with configurable action (thanks to pali).
- * Building the playlist from search results after a song is selected is now configurable.
- * Added searching and keyboard shortcuts to the radio list.
- * Disabled "Delete" in "Now playing".
- * Minor changes in the settings window: there's slightly more space and "Stop playback on exit" option is now handled by a checkbox.
- * Enabled the lost Turkish translation.
+XB-Maemo-Upgrade-Description: Smooth scrolling, updated translations.
+ Version 20120326-1 changes:
+  * Smooth scrolling to the current song in "Now playing".
+  * Updated translations: Finnish, Italian, German, Dutch.
 
 Package: openmediaplayer-dbg
 Architecture: armel

## openmediaplayer 20120428-1

=== debian/changelog ===
openmediaplayer (20120428-1) unstable; urgency=low

  * Added support for pausing/resuming when bluetooth headset is connected/disconnected.
  * Added a notification for library updates.
  * Massive speed improvements for some lists (no more lag when searching).
  * Implemented resuming a video by clicking the playback status indicator.
  * Somehow more reliable way of getting metadata when playing videos.
  * Fixed a problem with keyboard grabbing.
  * Fixed playback indicator sometimes not reappearing.
  * Fixed null objects being added to the playlist when selecting a video from the categories view.
  * Updated translations. Thanks to new contributors:
    - qingxianhao for Chinese,
    - hobarrera for Spanish.

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Sat, 28 Apr 2012 23:29:37 +0200

=== debian/control ===
--- 
+++ 
@@ -59,10 +59,19 @@
  yvnYUItvOSF0ZyAp5uLk5EJTz6AgLoSkml9EBEkxJw8PJxszRh0kKgBXjWQ0
  DxBw8nCwYavkhAT4ECqhajk4gIiDjWWEtxcAXr8zgPoK3fAAAAAASUVORK5C
  YII=
-XB-Maemo-Upgrade-Description: Smooth scrolling, updated translations.
- Version 20120326-1 changes:
-  * Smooth scrolling to the current song in "Now playing".
-  * Updated translations: Finnish, Italian, German, Dutch.
+XB-Maemo-Upgrade-Description: Headset pausing, fast searching and more...
+ Version 20120428-1 changes:
+  * Added support for pausing/resuming when bluetooth headset is connected/disconnected.
+  * Added a notification for library updates.
+  * Massive speed improvements for some lists (no more lag when searching).
+  * Implemented resuming a video by clicking the playback indicator.
+  * Somehow more reliable way of getting metadata when playing videos.
+  * Fixed a problem with keyboard grabbing.
+  * Fixed playback indicator sometimes not reappearing.
+  * Fixed null objects being added to the playlist when selecting a video from the categories view.
+  * Updated translations. Thanks to new contributors:
+    - qingxianhao for Chinese,
+    - hobarrera for Spanish.
 
 Package: openmediaplayer-dbg
 Architecture: armel

## openmediaplayer 20120511-1

=== debian/changelog ===
openmediaplayer (20120511-1) unstable; urgency=low

  * Title of "Now playing" window is set to the current song when switching to the task navigator.
  * Added an option to lock the player in portrait or landscape.
  * Fixed the video window not staying in landscape.
  * New translation: Ukrainian by int_ua.
  * Updated translations.

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Fri, 11 May 2012 16:33:17 +0200

=== debian/control ===
--- 
+++ 
@@ -59,19 +59,13 @@
  yvnYUItvOSF0ZyAp5uLk5EJTz6AgLoSkml9EBEkxJw8PJxszRh0kKgBXjWQ0
  DxBw8nCwYavkhAT4ECqhajk4gIiDjWWEtxcAXr8zgPoK3fAAAAAASUVORK5C
  YII=
-XB-Maemo-Upgrade-Description: Headset pausing, fast searching and more...
- Version 20120428-1 changes:
-  * Added support for pausing/resuming when bluetooth headset is connected/disconnected.
-  * Added a notification for library updates.
-  * Massive speed improvements for some lists (no more lag when searching).
-  * Implemented resuming a video by clicking the playback indicator.
-  * Somehow more reliable way of getting metadata when playing videos.
-  * Fixed a problem with keyboard grabbing.
-  * Fixed playback indicator sometimes not reappearing.
-  * Fixed null objects being added to the playlist when selecting a video from the categories view.
-  * Updated translations. Thanks to new contributors:
-    - qingxianhao for Chinese,
-    - hobarrera for Spanish.
+XB-Maemo-Upgrade-Description: Song title in task navigator, rotation improvements
+ Version 20120511-1 changes:
+  * Title of "Now playing" window is set to the current song when switching to the task navigator.
+  * Added an option to lock the player in portrait or landscape.
+  * Fixed the video window not staying in landscape.
+  * New translation: Ukrainian by int_ua.
+  * Updated translations.
 
 Package: openmediaplayer-dbg
 Architecture: armel

## openmediaplayer 20120518-1

=== debian/changelog ===
openmediaplayer (20120518-1) unstable; urgency=low

  * Play button can be long-pressed to stop playback.
  * Added an option to show/hide "Delete [permanently]" option for playlist items. It affects both stored playlists and "Now playing".
  * Locked QML views to landscape.
  * Fixed a bug that sometimes disallowed updates of the current playlist.
  * Fixed the song progress bar sometmies not being reset after playback has finished.
  * Updated translations.

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Fri, 18 May 2012 14:16:53 +0200

=== debian/control ===
--- 
+++ 
@@ -59,12 +59,13 @@
  yvnYUItvOSF0ZyAp5uLk5EJTz6AgLoSkml9EBEkxJw8PJxszRh0kKgBXjWQ0
  DxBw8nCwYavkhAT4ECqhajk4gIiDjWWEtxcAXr8zgPoK3fAAAAAASUVORK5C
  YII=
-XB-Maemo-Upgrade-Description: Song title in task navigator, rotation improvements
- Version 20120511-1 changes:
-  * Title of "Now playing" window is set to the current song when switching to the task navigator.
-  * Added an option to lock the player in portrait or landscape.
-  * Fixed the video window not staying in landscape.
-  * New translation: Ukrainian by int_ua.
+XB-Maemo-Upgrade-Description: A few bug-fixes and small features
+ Version 20120518-1 changes:
+  * Play button can be long-pressed to stop playback.
+  * Added an option to show/hide "Delete [permanently]" option for playlist items. It affects both stored playlists and "Now playing".
+  * Locked QML views to landscape.
+  * Fixed a bug that sometimes disallowed updates of the current playlist.
+  * Fixed the song progress bar sometmies not being reset after playback has finished.
   * Updated translations.
 
 Package: openmediaplayer-dbg

## openmediaplayer 20120601-1

=== debian/changelog ===
openmediaplayer (20120601-1) unstable; urgency=low

  * Added an option to pause playback on exit.
  * Pressing the previous button in the middle of a video jumps to the beginning.
  * Added a context menu to the playback indicator, which makes it posible to quickly restore the music playlist after playing radio/video.
  * Added an option to add a song to an arbitrary playlist.
  * Replaced "Save playlist" in "Now playing" with a more flexible solution, which allows songs to be appended to an existing playlist.
  * Made it possible to delete a playlist from within its window.
  * Added an option to rename playlists.
  * Support for video M3U playlists in mime_open.
  * Improved cooperation with the media player widget.
  * The playlist list is refreshed each time it is shown to avoid outdated entries.
  * Made the playlist browser show also empty playlists.
  * Enlarged the settings dialog for portrait mode.
  * Updated translations.

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Fri, 01 Jun 2012 21:13:43 +0200

=== debian/control ===
--- 
+++ 
@@ -59,13 +59,20 @@
  yvnYUItvOSF0ZyAp5uLk5EJTz6AgLoSkml9EBEkxJw8PJxszRh0kKgBXjWQ0
  DxBw8nCwYavkhAT4ECqhajk4gIiDjWWEtxcAXr8zgPoK3fAAAAAASUVORK5C
  YII=
-XB-Maemo-Upgrade-Description: A few bug-fixes and small features
- Version 20120518-1 changes:
-  * Play button can be long-pressed to stop playback.
-  * Added an option to show/hide "Delete [permanently]" option for playlist items. It affects both stored playlists and "Now playing".
-  * Locked QML views to landscape.
-  * Fixed a bug that sometimes disallowed updates of the current playlist.
-  * Fixed the song progress bar sometmies not being reset after playback has finished.
+XB-Maemo-Upgrade-Description: Improved playlist management
+ Version 20120601-1 changes:
+  * Added an option to pause playback on exit.
+  * Pressing the previous button in the middle of a video jumps to the beginning.
+  * Added a context menu to the playback indicator, which makes it posible to quickly restore the music playlist after playing radio/video.
+  * Added an option to add a song to an arbitrary playlist.
+  * Replaced "Save playlist" in "Now playing" with a more flexible solution, which allows songs to be appended to an existing playlist.
+  * Made it possible to delete a playlist from within its window.
+  * Added an option to rename playlists.
+  * Support for video M3U playlists in mime_open.
+  * Improved cooperation with the media player widget.
+  * The playlist list is refreshed each time it is shown to avoid outdated entries.
+  * Made the playlist browser show also empty playlists.
+  * Enlarged the settings dialog for portrait mode.
   * Updated translations.
 
 Package: openmediaplayer-dbg

## openmediaplayer 20120611-1

=== debian/changelog ===
openmediaplayer (20120611-1) unstable; urgency=low

  * Holding previous/next in the video window rewinds the movie.
  * More efficient updates of the playlist list.
  * Keyboard shortcuts for next/previous should work again.
  * Added an option to add all songs from one playlist to another.
  * Autosaving after editing a playlist.
  * Made library update notifications less sensitive.
  * Disabled removing and rearranging songs in uneditable playlists.
  * Fixed "Add songs to a playlist" adding one duplicate song.
  * Fixed rearranging songs in the playlist browser causing songs in now playing to be moved at the same time.
  * New translation: Portuguese (Portugal) by joaoheitormarques.
  * Updated translations.

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Mon, 11 Jun 2012 22:39:01 +0200

=== debian/control ===
--- 
+++ 
@@ -59,20 +59,18 @@
  yvnYUItvOSF0ZyAp5uLk5EJTz6AgLoSkml9EBEkxJw8PJxszRh0kKgBXjWQ0
  DxBw8nCwYavkhAT4ECqhajk4gIiDjWWEtxcAXr8zgPoK3fAAAAAASUVORK5C
  YII=
-XB-Maemo-Upgrade-Description: Improved playlist management
- Version 20120601-1 changes:
-  * Added an option to pause playback on exit.
-  * Pressing the previous button in the middle of a video jumps to the beginning.
-  * Added a context menu to the playback indicator, which makes it posible to quickly restore the music playlist after playing radio/video.
-  * Added an option to add a song to an arbitrary playlist.
-  * Replaced "Save playlist" in "Now playing" with a more flexible solution, which allows songs to be appended to an existing playlist.
-  * Made it possible to delete a playlist from within its window.
-  * Added an option to rename playlists.
-  * Support for video M3U playlists in mime_open.
-  * Improved cooperation with the media player widget.
-  * The playlist list is refreshed each time it is shown to avoid outdated entries.
-  * Made the playlist browser show also empty playlists.
-  * Enlarged the settings dialog for portrait mode.
+XB-Maemo-Upgrade-Description: Small improvements, bug-fixes and Portuguese translation
+ Version 20120611-1 changes:
+  * Holding previous/next in the video window rewinds the movie.
+  * More efficient updates of the playlist list.
+  * Keyboard shortcuts for next/previous should work again.
+  * Added an option to add all songs from one playlist to another.
+  * Autosaving after editing a playlist.
+  * Made library update notifications less sensitive.
+  * Disabled removing and rearranging songs in uneditable playlists.
+  * Fixed "Add songs to a playlist" adding one duplicate song.
+  * Fixed rearranging songs in the playlist browser causing songs in now playing to be moved at the same time.
+  * New translation: Portuguese (Portugal) by joaoheitormarques.
   * Updated translations.
 
 Package: openmediaplayer-dbg

## openmediaplayer 20120616-1

=== debian/changelog ===
openmediaplayer (20120616-1) unstable; urgency=low

  * Added a sleep timer.
  * Media type detection for streams.
  * Buffering info for video streams.
  * Minor visual touch-ups in the radio window.
  * Mark video radio stations with "[VIDEO]".
  * Working progress slider in the radio window for streams which support seeking.
  * Fixed determining stream duration in the radio window.
  * Updated German translation.

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Sat, 16 Jun 2012 17:38:25 +0200

=== debian/control ===
--- 
+++ 
@@ -59,19 +59,16 @@
  yvnYUItvOSF0ZyAp5uLk5EJTz6AgLoSkml9EBEkxJw8PJxszRh0kKgBXjWQ0
  DxBw8nCwYavkhAT4ECqhajk4gIiDjWWEtxcAXr8zgPoK3fAAAAAASUVORK5C
  YII=
-XB-Maemo-Upgrade-Description: Small improvements, bug-fixes and Portuguese translation
- Version 20120611-1 changes:
-  * Holding previous/next in the video window rewinds the movie.
-  * More efficient updates of the playlist list.
-  * Keyboard shortcuts for next/previous should work again.
-  * Added an option to add all songs from one playlist to another.
-  * Autosaving after editing a playlist.
-  * Made library update notifications less sensitive.
-  * Disabled removing and rearranging songs in uneditable playlists.
-  * Fixed "Add songs to a playlist" adding one duplicate song.
-  * Fixed rearranging songs in the playlist browser causing songs in now playing to be moved at the same time.
-  * New translation: Portuguese (Portugal) by joaoheitormarques.
-  * Updated translations.
+XB-Maemo-Upgrade-Description: Sleep timer and streaming improvements
+ Version 20120616-1 changes:
+  * Added a sleep timer.
+  * Media type detection for streams.
+  * Buffering info for video streams.
+  * Minor visual touch-ups in the radio window.
+  * Mark video radio stations with "[VIDEO]".
+  * Working progress slider in the radio window for streams which support seeking.
+  * Fixed determining stream duration in the radio window.
+  * Updated German translation.
 
 Package: openmediaplayer-dbg
 Architecture: armel

## openmediaplayer 20120617-1

=== debian/changelog ===
openmediaplayer (20120617-1) unstable; urgency=low

  * Added an option to resume playback only when a headset is reconnected within specified time.
  * Added an option to manually choose a translation.
  * Fixed a regression causing "Shuffle all songs" to open the radio window.
  * New translation: Arabic (Saudi Arabia) by laith.my.
  * Updated translations.

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Sun, 17 Jun 2012 22:07:51 +0200

=== debian/control ===
--- 
+++ 
@@ -59,16 +59,13 @@
  yvnYUItvOSF0ZyAp5uLk5EJTz6AgLoSkml9EBEkxJw8PJxszRh0kKgBXjWQ0
  DxBw8nCwYavkhAT4ECqhajk4gIiDjWWEtxcAXr8zgPoK3fAAAAAASUVORK5C
  YII=
-XB-Maemo-Upgrade-Description: Sleep timer and streaming improvements
- Version 20120616-1 changes:
-  * Added a sleep timer.
-  * Media type detection for streams.
-  * Buffering info for video streams.
-  * Minor visual touch-ups in the radio window.
-  * Mark video radio stations with "[VIDEO]".
-  * Working progress slider in the radio window for streams which support seeking.
-  * Fixed determining stream duration in the radio window.
-  * Updated German translation.
+XB-Maemo-Upgrade-Description: Emergency fix for "Shuffle all songs", more customization, translations
+ Version 20120617-1 changes:
+  * Added an option to resume playback only when a headset is reconnected within specified time.
+  * Added an option to manually choose a translation.
+  * Fixed a regression causing "Shuffle all songs" to open the radio window.
+  * New translation: Arabic (Saudi Arabia) by laith.my.
+  * Updated translations.
 
 Package: openmediaplayer-dbg
 Architecture: armel
